// a sample application to use the postgres java interface via jdbc.


// Copyright (c) 1996 Bradley McLean / Jeffrey Medeiros
//
// You may distribute under the terms of the GNU Public License as
// specified in the README file that comes with the JavaPostgres95 Kit

import java.sql.*;

class jptest2 {
   public static void main(String argv[]) {
      try {
//         DriverManager.setLogStream(System.out);

         Driver pgd = (Driver) new postgres95.PGDriver();

         String url = "jdbc:postgres95:jdatabase";

         Connection conn = DriverManager.getConnection(url,"user","password");

         PreparedStatement stat = conn.prepareStatement("insert into weather values (?,?,?,?,?)");

         stat.setString(1,"Boston");
         stat.setInt(2,30);
         stat.setInt(3,67);
         stat.setDouble(4,(float)3.45);
         stat.setDate(5,new java.sql.Date(95,3,31));
         
         System.out.println("result is "+stat.executeUpdate());

      } catch ( Exception e ) {
         System.err.println("E: "+e);
      }
   }
}
